net.minecraft.client.renderer.entity

## Class RenderSnowMan

- java.lang.Object
- - net.minecraft.client.renderer.entity.Render
  - - net.minecraft.client.renderer.entity.RendererLivingEntity
    - - net.minecraft.client.renderer.entity.RenderLiving
      - - net.minecraft.client.renderer.entity.RenderSnowMan

-     public class RenderSnowMan
      extends RenderLiving

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.client.renderer.entity.RendererLivingEntity

      `mainModel, NAME_TAG_RANGE, NAME_TAG_RANGE_SNEAK, renderPassModel`

    - ### Fields inherited from class net.minecraft.client.renderer.entity.Render

      `field_147909_c, renderManager, shadowOpaque, shadowSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RenderSnowMan()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ResourceLocation` | `getEntityTexture(Entity par1Entity)`
    `protected ResourceLocation` | `getEntityTexture(EntitySnowman par1EntitySnowman)`
    `protected void` | `renderEquippedItems(EntityLivingBase par1EntityLivingBase, float par2)`
    `protected void` | `renderEquippedItems(EntitySnowman par1EntitySnowman, float par2)`

    - ### Methods inherited from class net.minecraft.client.renderer.entity.RenderLiving

      `doRender, doRender, doRender, func_110813_b, func_110813_b, func_110827_b`

    - ### Methods inherited from class net.minecraft.client.renderer.entity.RendererLivingEntity

      `func_82408_c, func_96449_a, getColorMultiplier, getDeathMaxRotation, handleRotationFloat, inheritRenderPass, passSpecialRender, preRenderCallback, renderArrowsStuckInEntity, renderLivingAt, renderModel, renderSwingProgress, rotateCorpse, setRenderPassModel, shouldRenderPass`

    - ### Methods inherited from class net.minecraft.client.renderer.entity.Render

      `bindEntityTexture, bindTexture, doRenderShadowAndFire, func_147906_a, getFontRendererFromRenderManager, isStaticEntity, renderAABB, renderOffsetAABB, setRenderManager, updateIcons`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RenderSnowMan

          public RenderSnowMan()

  - ### Method Detail

    - #### renderEquippedItems

          protected void renderEquippedItems(EntitySnowman par1EntitySnowman,
                                 float par2)

    - #### getEntityTexture

          protected ResourceLocation getEntityTexture(EntitySnowman par1EntitySnowman)

    - #### renderEquippedItems

          protected void renderEquippedItems(EntityLivingBase par1EntityLivingBase,
                                 float par2)

      Overrides:
        `renderEquippedItems` in class `RendererLivingEntity`

    - #### getEntityTexture

          protected ResourceLocation getEntityTexture(Entity par1Entity)

      Specified by:
        `getEntityTexture` in class `Render`